# List of access points

## OpenAPI Specification

```yaml
openapi: 3.0.1
info:
  title: ''
  description: ''
  version: 1.0.0
paths:
  /accessPoint:
    get:
      summary: List of access points
      deprecated: false
      description: >
        ## Purpose and Usage


        The **accessPoint** method is used to obtain a list of pickup locations,
        also known as Access Points. Within the PPL context, these are referred
        to as ParcelShops and ParcelBoxes, where shipments can be delivered or
        dispatched.


        It is primarily used for:


        - **Displaying Pickup Location Options for Customers:**

        For example, in an e-shop where a customer can choose which branch
        (Access Point) they would like to have their shipment delivered to.


        - **Automated Order Processing:**

        When creating a shipment in an ERP system or another e-commerce
        solution, it is necessary to programmatically select an appropriate or
        nearest pickup location based on customer data (postal code, address,
        etc.).
      tags:
        - API Methods/AccessPoint
        - AccessPoint
      parameters:
        - name: AccessPointCode
          in: query
          description: AccessPointCode
          required: false
          schema:
            type: string
        - name: CountryCode
          in: query
          description: >-
            country code viz. /codelist/country

            If you want to display access points for a country other than the
            Czech Republic, you must enter the countryCode; otherwise, access
            points for the Czech Republic will be displayed.
          required: true
          schema:
            type: string
        - name: ZipCode
          in: query
          description: ZipCode
          required: false
          schema:
            type: string
        - name: City
          in: query
          description: City
          required: false
          schema:
            type: string
        - name: AccessPointTypes
          in: query
          description: AccessPointTypes
          required: false
          schema:
            type: array
            items: &ref_1
              $ref: >-
                #/components/schemas/Eps.Api.MyApi2.Web.Models.AccessPoint.ConstMyApi2AccessPointType
        - name: Radius
          in: query
          description: Radius (km)
          required: false
          schema:
            type: integer
            format: int32
        - name: Latitude
          in: query
          description: GPS latitude
          required: false
          schema:
            type: number
            format: double
        - name: Longitude
          in: query
          description: GPS longitude
          required: false
          schema:
            type: number
            format: double
        - name: TribalServicePoint
          in: query
          description: TribalServicePoint
          required: false
          schema:
            type: boolean
        - name: ActiveCardPayment
          in: query
          description: ActiveCardPayment
          required: false
          schema:
            type: boolean
        - name: ActiveCashPayment
          in: query
          description: ActiveCashPayment
          required: false
          schema:
            type: boolean
        - name: PickupEnabled
          in: query
          description: PickupEnabled
          required: false
          schema:
            type: boolean
        - name: Sizes
          in: query
          description: 'sizes: S,M,L,XL'
          required: false
          schema:
            type: array
            items:
              type: string
        - name: Limit
          in: query
          description: ''
          required: true
          schema:
            maximum: 1000
            minimum: 1
            type: integer
            format: int32
        - name: Offset
          in: query
          description: ''
          required: true
          schema:
            maximum: 2147483647
            minimum: 0
            type: integer
            format: int32
        - name: Accept-Language
          in: header
          description: 'Language specification, default language: cs-CZ'
          required: false
          example: ''
          schema:
            $ref: '#/components/schemas/AcceptLanguageSchema'
        - name: X-Correlation-ID
          in: header
          description: Correlation Id of request
          required: false
          example: ''
          schema:
            $ref: '#/components/schemas/XCorrelationIdSchema'
        - name: X-LogLevel
          in: header
          description: The forced log level
          required: false
          example: ''
          schema:
            $ref: '#/components/schemas/XLogLevelSchema'
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: >-
                    #/components/schemas/Eps.Api.MyApi2.Web.Models.AccessPoint.AccessPointModel
          headers:
            X-Correlation-ID:
              description: Correlation Id of request otherwise id of response
              schema:
                $ref: '#/components/schemas/XCorrelationIdSchema'
            X-Paging-Total-Items-Count:
              description: Total items in result
              schema:
                $ref: '#/components/schemas/XPagingSchema'
            X-Paging-Offset:
              description: Paging offset
              schema:
                $ref: '#/components/schemas/XPagingSchema'
            X-Paging-Limit:
              description: Page size
              schema:
                $ref: '#/components/schemas/XPagingSchema'
          x-apidog-name: OK
        '400':
          description: BadRequest
          content:
            application/problem+json:
              schema:
                type: object
                properties:
                  errors:
                    type: object
                    additionalProperties:
                      type: array
                      items:
                        type: string
                    x-apidog-orders: []
                    properties: {}
                    x-apidog-ignore-properties: []
                    nullable: true
                  type:
                    type: string
                    nullable: true
                  title:
                    type: string
                    nullable: true
                  status:
                    type: integer
                    format: int32
                    nullable: true
                  detail:
                    type: string
                    nullable: true
                  instance:
                    type: string
                    nullable: true
                x-apidog-orders:
                  - 01JJKNKPVWTBZWRH0JGTJP52C7
                x-apidog-refs:
                  01JJKNKPVWTBZWRH0JGTJP52C7: &ref_0
                    $ref: >-
                      #/components/schemas/Eps.Api.Infrastructure.WebApi.Model.ProblemJsonModel
                x-apidog-ignore-properties:
                  - errors
                  - type
                  - title
                  - status
                  - detail
                  - instance
          headers: {}
          x-apidog-name: Bad Request
        '405':
          description: MethodNotAllowed
          content:
            application/problem+json:
              schema:
                type: object
                properties:
                  errors:
                    type: object
                    additionalProperties:
                      type: array
                      items:
                        type: string
                    x-apidog-orders: []
                    properties: {}
                    x-apidog-ignore-properties: []
                    nullable: true
                  type:
                    type: string
                    nullable: true
                  title:
                    type: string
                    nullable: true
                  status:
                    type: integer
                    format: int32
                    nullable: true
                  detail:
                    type: string
                    nullable: true
                  instance:
                    type: string
                    nullable: true
                x-apidog-orders:
                  - 01JJKPDB3AJWCK2F5HSAM8V6KR
                x-apidog-refs:
                  01JJKPDB3AJWCK2F5HSAM8V6KR: *ref_0
                x-apidog-ignore-properties:
                  - errors
                  - type
                  - title
                  - status
                  - detail
                  - instance
          headers: {}
          x-apidog-name: '405'
        '500':
          description: InternalServerError
          content:
            application/problem+json:
              schema:
                type: object
                properties:
                  errors:
                    type: object
                    additionalProperties:
                      type: array
                      items:
                        type: string
                    x-apidog-orders: []
                    properties: {}
                    x-apidog-ignore-properties: []
                    nullable: true
                  type:
                    type: string
                    nullable: true
                  title:
                    type: string
                    nullable: true
                  status:
                    type: integer
                    format: int32
                    nullable: true
                  detail:
                    type: string
                    nullable: true
                  instance:
                    type: string
                    nullable: true
                x-apidog-orders:
                  - 01JJKPECEB33B9SDM390XQTKTF
                x-apidog-refs:
                  01JJKPECEB33B9SDM390XQTKTF: *ref_0
                x-apidog-ignore-properties:
                  - errors
                  - type
                  - title
                  - status
                  - detail
                  - instance
          headers: {}
          x-apidog-name: Server Error
        '503':
          description: ServiceUnavailable
          content:
            application/problem+json:
              schema:
                type: object
                properties:
                  errors:
                    type: object
                    additionalProperties:
                      type: array
                      items:
                        type: string
                    x-apidog-orders: []
                    properties: {}
                    x-apidog-ignore-properties: []
                    nullable: true
                  type:
                    type: string
                    nullable: true
                  title:
                    type: string
                    nullable: true
                  status:
                    type: integer
                    format: int32
                    nullable: true
                  detail:
                    type: string
                    nullable: true
                  instance:
                    type: string
                    nullable: true
                x-apidog-orders:
                  - 01JJKPJTAASZGAJSH6SMY9TVXM
                x-apidog-refs:
                  01JJKPJTAASZGAJSH6SMY9TVXM: *ref_0
                x-apidog-ignore-properties:
                  - errors
                  - type
                  - title
                  - status
                  - detail
                  - instance
          headers: {}
          x-apidog-name: Service Unavailable
      security:
        - Bearer: []
          x-apidog:
            required: true
            schemeGroups:
              - id: XMUIPiXoqHl2JEo-S7jQz
                schemeIds:
                  - Bearer
            use:
              id: XMUIPiXoqHl2JEo-S7jQz
      x-apidog-folder: API Methods/AccessPoint
      x-apidog-status: released
      x-run-in-apidog: https://app.apidog.com/web/project/800807/apis/api-13601458-run
components:
  schemas:
    Eps.Api.MyApi2.Web.Models.AccessPoint.ConstMyApi2AccessPointType:
      enum:
        - None
        - ParcelShop
        - ParcelBox
        - AlzaBox
      type: string
      description: Access point type
      x-apidog-folder: ''
    AcceptLanguageSchema:
      type: string
      description: Accept-Language header schema
      x-apidog-folder: ''
    XCorrelationIdSchema:
      type: string
      description: X-Correlation-ID header schema
      x-apidog-folder: ''
    XLogLevelSchema:
      enum:
        - Trace
        - Debug
        - Information
        - Warning
        - Error
        - Critical
      type: string
      description: X-LogLevel header schema
      x-apidog-folder: ''
    Eps.Api.MyApi2.Web.Models.AccessPoint.AccessPointModel:
      type: object
      properties:
        accessPointCode:
          type: string
          description: AccessPointCode
          nullable: true
        accessPointType: *ref_1
        name:
          type: string
          description: Name
          nullable: true
        name2:
          type: string
          description: Name2
          nullable: true
        street:
          type: string
          description: Street
          nullable: true
        city:
          type: string
          description: City
          nullable: true
        country:
          type: string
          description: Country
          nullable: true
        zipCode:
          type: string
          description: ZipCode
          nullable: true
        phone:
          type: string
          description: Phone
          nullable: true
        email:
          type: string
          description: Email
          nullable: true
        tribalServicePoint:
          type: boolean
          description: Tribal service point
        activeCardPayment:
          type: boolean
          description: ActiveCardPayment
        activeCashPayment:
          type: boolean
          description: Active cash payment
        pickupEnabled:
          type: boolean
          description: Pickup enabled
        dimensionForced:
          type: boolean
          description: Dimension forced
        workHours:
          type: array
          items:
            $ref: >-
              #/components/schemas/Eps.Api.MyApi2.Web.Models.AccessPoint.AccessPointWorkHourModel
          description: WorkHours
          nullable: true
        accessPointNote:
          type: string
          description: AccessPointNote
          nullable: true
        gps:
          oneOf:
            - $ref: >-
                #/components/schemas/Eps.Api.MyApi2.Web.Models.AccessPoint.CoordinatesModel
            - $ref: '#/components/schemas/EmptyNullableObject'
        capacitySettings:
          type: array
          items:
            $ref: >-
              #/components/schemas/Eps.Api.MyApi2.Web.Models.AccessPoint.AccessPointCapacitySettingModel
          description: CapacitySettings
          nullable: true
      additionalProperties: false
      description: AccessPointModel
      x-apidog-orders:
        - accessPointCode
        - accessPointType
        - name
        - name2
        - street
        - city
        - country
        - zipCode
        - phone
        - email
        - tribalServicePoint
        - activeCardPayment
        - activeCashPayment
        - pickupEnabled
        - dimensionForced
        - workHours
        - accessPointNote
        - gps
        - capacitySettings
      x-apidog-ignore-properties: []
      x-apidog-folder: ''
    Eps.Api.MyApi2.Web.Models.AccessPoint.AccessPointCapacitySettingModel:
      type: object
      properties:
        size:
          type: string
          description: Size
          nullable: true
        capacity:
          type: integer
          description: Capacity
          format: int32
          nullable: true
        length:
          type: integer
          description: Length
          format: int32
        height:
          type: integer
          description: Height
          format: int32
        width:
          type: integer
          description: Width
          format: int32
      additionalProperties: false
      description: AccessPointCapacitySettingModel
      x-apidog-orders:
        - size
        - capacity
        - length
        - height
        - width
      x-apidog-ignore-properties: []
      x-apidog-folder: ''
    EmptyNullableObject:
      description: Injected nullable object
      type: 'null'
      x-apidog-folder: ''
    Eps.Api.MyApi2.Web.Models.AccessPoint.CoordinatesModel:
      type: object
      properties:
        latitude:
          type: number
          description: Latitude
          format: double
          nullable: true
        longitude:
          type: number
          description: Longitude
          format: double
          nullable: true
      additionalProperties: false
      description: A model for displaying / forwarding GPS coordinates
      x-apidog-orders:
        - latitude
        - longitude
      x-apidog-ignore-properties: []
      x-apidog-folder: ''
    Eps.Api.MyApi2.Web.Models.AccessPoint.AccessPointWorkHourModel:
      type: object
      properties:
        weekDay:
          type: integer
          description: Access point work hour week day (1 - Sunday, 7 - Saturday)
          format: int32
        dayPart:
          type: integer
          description: Access point work hour day part (0 - morning, 1 - afternoon)
          format: int32
        openFrom:
          type: string
          description: Access point work hour open from
          format: date-span
        openTo:
          type: string
          description: Access point work hour open to
          format: date-span
      additionalProperties: false
      description: AccessPointWorkHourModel
      x-apidog-orders:
        - weekDay
        - dayPart
        - openFrom
        - openTo
      x-apidog-ignore-properties: []
      x-apidog-folder: ''
    Eps.Api.Infrastructure.WebApi.Model.ProblemJsonModel:
      type: object
      properties:
        errors:
          type: object
          additionalProperties:
            type: array
            items:
              type: string
          x-apidog-orders: []
          properties: {}
          x-apidog-ignore-properties: []
          nullable: true
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties:
        type: string
      x-apidog-orders:
        - errors
        - type
        - title
        - status
        - detail
        - instance
      x-apidog-ignore-properties: []
      x-apidog-folder: ''
  securitySchemes:
    oauth2:
      type: apikey
      description: Get access token from authentication server.
      name: Authorization
      in: header
    Bearer:
      type: jwt
      description: >-
        JWT Authorization header using the Bearer scheme. Example:
        "Authorization: Bearer {token}"
      scheme: bearer
      bearerFormat: JWT
servers: []
security:
  - Bearer: []
    x-apidog:
      schemeGroups:
        - id: Y1Pl_6gJhwt22zSpU8-70
          schemeIds:
            - Bearer
      required: true
      use:
        id: Y1Pl_6gJhwt22zSpU8-70
      scopes:
        Y1Pl_6gJhwt22zSpU8-70:
          Bearer: []

```
